OAuth callback
curl --request GET \
--url https://api.quiva.ai/hub/integrations/oauth-callback \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/integrations/oauth-callback"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/integrations/oauth-callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"access_token": "eyJhbGciOiJSUzI1Ni...",
"token_type": "Bearer",
"refresh_token": "dGhpcyBpcyBhIHJlZnJlc2ggdG9rZW4...",
"expiry": "2025-06-01T12:00:00.000000+00:00",
"expires_in": 3600,
"sequence": 1,
"subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.slack.workspace1",
"modified": 1748620800
}{
"error": "<string>"
}{
"error": "<string>"
}Oauth
OAuth callback
Handle OAuth callback after user authorization
GET
/
hub
/
integrations
/
oauth-callback
OAuth callback
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Query Parameters
OAuth authorization code
OAuth state parameter
Response
OAuth token received and saved
OAuth access token
Example:
"eyJhbGciOiJSUzI1Ni..."
Token type (usually Bearer)
Example:
"Bearer"
OAuth refresh token
Example:
"ulpL_..."
Token expiration time
Example:
"2025-05-29T17:09:39.816102+01:00"
Token expires in seconds
Example:
1800
Message sequence number
Example:
85
Message subject
Example:
"ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo"
Last modified timestamp
Example:
1748533179